Bug 985354 - add skip_if_unavailable=False to core repositories
add skip_if_unavailable=False to core repositories
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
Depends On:
Blocks: 984483
  Show dependency treegraph
Reported: 2013-07-17 06:40 EDT by Kamil Páral
Modified: 2013-11-16 01:57 EST (History)
3 users (show)

See Also:
Fixed In Version: fedora-release-20-0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-16 01:57:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-07-17 06:40:03 EDT
Description of problem:
DNF changed the default of skip_if_unavailable from True to False. This is described in bug 984483. As a result, third-party repositories will stop breaking end users' systems (when they are temporarily inaccessible). But, it also implies that in order to keep fedora core repositories essential, we need to add skip_if_unavailable=False to our core .repo files.

Please add skip_if_unavailable=False to fedora{,-updates,-updates-testing}.repo files.

Note: YUM hasn't changed their default setting (yet, maybe never, bug 867389), so this change is currently useful just for DNF.

Version-Release number of selected component (if applicable):
Comment 1 Ales Kozumplik 2013-07-17 08:09:15 EDT
(In reply to Kamil Páral from comment #0)
> Note: YUM hasn't changed their default setting (yet, maybe never, bug
> 867389), so this change is currently useful just for DNF.

won't hurt yum to spell this explicit in the .repos anyway.
Comment 2 Fedora Update System 2013-11-14 00:44:31 EST
fedora-release-20-0.8 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-11-14 14:17:38 EST
Package fedora-release-20-0.8:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-release-20-0.8'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-16 01:57:23 EST
fedora-release-20-0.8 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.